<?php

namespace Drupal\custom_tests\CustomTSTests;

use Drupal\Core\StringTranslation\StringTranslationTrait;
use Drupal\custom_tests\TestInterface;
use Symfony\Component\HttpFoundation\Request;

/**
 * Checks For 404 Errors.
 */
class CheckForLibrariesModule implements TestInterface {
  use StringTranslationTrait;

  /**
   * The module name.
   *
   * @var string
   */
  private $moduleName = "";

  /**
   * The menu name.
   *
   * @var string
   */
  private $menuName = "System";

  /**
   * The name of the test.
   *
   * @var string
   */
  private $name = "Library Checker";

  /**
   * The description of the test.
   *
   * @var string
   */
  private $description = "Checks if the Libraries module is installed.";

  /**
   * Getter for $moduleName.
   *
   * @return string
   *   The module name.
   */
  public function getModuleName() {
    return $this->moduleName;
  }

  /**
   * Getter for $menuName.
   *
   * @return string
   *   The menu name.
   */
  public function getMenuName() {
    return $this->menuName;
  }

  /**
   * Getter for $name.
   *
   * @return string
   *   The name of the test.
   */
  public function getName() {
    return $this->name;
  }

  /**
   * Getter for $description.
   *
   * @return string
   *   The description of the test.
   */
  public function getDescription() {
    return $this->description;
  }

  /**
   * Checks if the Libraries module is installed.
   */
  public function runTest(Request $request) {
    $moduleHandler = \Drupal::service('module_handler');
    if ($moduleHandler->moduleExists('libraries')) {
      return $this->t('Libraries is installed.');
    }
    return $this->t('Libraries is not installed.');
  }

}
